Subject: Re: [PATCH 2/2] Add revision range support on "-" and "@{-1}"

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Mar 2015 15:24:26 -0700

Kenny Lee Sin Cheong <[email-masked]> writes:

> If I'm understanding correctly, the problem of checking revisions before
> arg is that an option fed to handle_revision_arg() might die() before getting
> checked as an option in cases where a file with the same name exists?
>
> But doesn't verify_non_filename() already return silently if arg begins
> with "-"? It die() only after making that check.
>
> If an option with ".." in it such as -$opt..ion is really given to
> handle_revision_arg() then verify_non_filename should not be a problem.

Yes, but should we be relying on that behaviour?  The special casing
to assume that no sane person would name a file starting with a dash
is what I find somewhat disturbing.